Storefront APICatalog
Get a product
By slug or id. Variants, images (product-level and per variant) and categories come with it.
Path Parameters
store_slug*string
Store slug
product_ref*string
Product slug or id
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/storefront-api/string/api/products/string"{
"categories": [
{
"description": "string",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"slug": "string"
}
],
"description": "string",
"highlights": [
"string"
],
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"images": [
{
"alt": "string",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"image_kind": "string",
"position": 0,
"sizes": [
"string"
],
"url": "string"
}
],
"model_placement": "string",
"model_url": "string",
"price": "string",
"rich_text_description": "string",
"sale_price": "string",
"short_description": "string",
"slug": "string",
"status": "string",
"title": "string",
"variants": [
{
"compare_at_cents": 0,
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"image_url": "string",
"images": [
{
"alt": "string",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"image_kind": "string",
"position": 0,
"sizes": [
"string"
],
"url": "string"
}
],
"metadata": {},
"price_cents": 0,
"sku": "string",
"title": "string"
}
]
}{
"code": "not_found",
"details": {},
"error": "Order not found"
}{
"code": "not_found",
"details": {},
"error": "Order not found"
}{
"code": "not_found",
"details": {},
"error": "Order not found"
}